@echo off

rem ========================================================================
rem  "iBank" 
rem    JAVA  AUTOCLIENT_HOME
rem     JAVA -    java-
rem     AUTOCLIENT_HOME - ,     ""
rem ========================================================================

rem  Cp1251    . ,  ,     Cp1251,   
chcp 1251

set "JAVA=java.exe"

set AUTOCLIENT_HOME=..

if not defined PROGRAMFILES(x86) (
    set "PATH=%PATH%;%AUTOCLIENT_HOME%\lib\native\win32"
) else (
    set "PATH=%PATH%;%AUTOCLIENT_HOME%\lib\native\win64"
)

rem ========================================================================
rem  Java
rem ========================================================================

set REQUIRED_VERSION=1.8

if "%JAVA%" == "" (
    echo "ERROR:"
    echo "    JAVA   setEnvironment.bat"
    pause
    exit /B
)

"%JAVA%" -version 2>nul || (
    echo ERROR:
    echo "   %JAVA%"
    echo "     JAVA   setEnvironment.bat"
    pause
    exit /B
)

call:getJavaVersion VERSION
if "%VERSION%" == "" (
    echo ERROR:
    echo     Java Runtime Environment ^(JRE^)
    echo      JRE
    echo     JRE  %REQUIRED_VERSION%  
    pause
    exit /B
)

call:getVersionNum %VERSION% VERSION_NUM
call:getVersionNum %REQUIRED_VERSION% REQUIRED_VERSION_NUM
if "%VERSION_NUM%" lss "%REQUIRED_VERSION_NUM%" (
    echo ERROR:
    echo     Java Runtime Environment ^(JRE^)  %VERSION%
    echo     JRE  %REQUIRED_VERSION%  
    pause
    exit /B
)

echo  Java Runtime Environment ^(JRE^): %VERSION%

rem     
chcp 866

goto:eof


:getVersionNum
    for /f "tokens=1-2 delims=._" %%a in ("%~1") do (
        set /a %~2=%%a*100+%%b
    )
goto:eof

:getJavaVersion
    for /f tokens^=2^ delims^=^"- %%a in ('"%JAVA%" -fullversion 2^>^&1') do set %~1=%%a
goto:eof
