#!/bin/sh

# ========================================
# Система "iBank" Автоклиент
# Верификация документов
# ========================================

. ./setEnvironment.sh

# Сокращенное название клиента из файла mapping.txt
export NAME=1

AUTOCLIENT_HOME=..
LIB_DIR=$AUTOCLIENT_HOME/lib/common
CP_OPTS="-Dibank.jars.path=$LIB_DIR -Xbootclasspath/a:$LIB_DIR/bootstrap.jar -Djava.system.class.loader=com.bifit.ibank.util.Bootstrap"

$JAVA -Xmx256m -Dibank.root=$AUTOCLIENT_HOME $CP_OPTS -Dalias=$NAME com.bifit.autoclient.DocumentVerifier $*
